%define upstream_name    DateTime-Format-HTTP
%define upstream_version 0.43

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Date conversion routines
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime) >= 0.170.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Date) >= 1.440.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
This module provides functions that deal the date formats used by the HTTP
protocol (and then some more).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CREDITS Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.430.0-2.mga10
+ Revision: 2234382
- Mageia 10 Mass Rebuild

* Fri Jan 24 2025 tv <tv> 0.430.0-1.mga10
+ Revision: 2141531
- update to 0.43

* Sun Mar 20 2022 umeabot <umeabot> 0.420.0-8.mga9
+ Revision: 1802916
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.420.0-7.mga8
+ Revision: 1493862
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.420.0-6.mga7
+ Revision: 1267033
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.420.0-5.mga6
+ Revision: 1025122
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.420.0-4.mga6
+ Revision: 932179
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.420.0-3.mga5
+ Revision: 743062
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.420.0-2.mga5
+ Revision: 684276
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 0.420.0-1.mga5
+ Revision: 620524
- update to 0.42

* Fri Oct 18 2013 umeabot <umeabot> 0.400.0-3.mga4
+ Revision: 510739
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.400.0-2.mga3
+ Revision: 365602
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 shlomif <shlomif> 0.400.0-1.mga3
+ Revision: 322597
- imported package perl-DateTime-Format-HTTP


* Wed Nov 28 2012 cpan2dist 0.40-1mga
- initial mageia release, generated with cpan2dist
